> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getreditus.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Reward

> Set the reward's state to 'paid'



## OpenAPI

````yaml PUT /v1/rewards/{id}
openapi: 3.1.0
info:
  title: Reditus API - Rewards
  description: API specification for managing rewards in Reditus reward programs.
  version: 1.0.0
servers:
  - url: https://api.getreditus.com/api
security: []
paths:
  /v1/rewards/{id}:
    put:
      summary: Mark Reward as Paid
      description: Set the reward's state to 'paid'
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: string
          description: Reward ID
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/RewardUpdateRequest'
      responses:
        '200':
          description: Reward updated successfully
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RewardResponse'
        '400':
          description: 'Invalid state: reward must be in ''pending'' state'
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRewardNotPendingError'
        '404':
          description: Reward not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorRewardNotFoundError'
      security:
        - BearerAuth: []
components:
  schemas:
    RewardUpdateRequest:
      type: object
      required:
        - state
      properties:
        state:
          type: string
          enum:
            - paid
          description: New state to set (currently only 'paid' is supported)
    RewardResponse:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/Reward'
    ErrorRewardNotPendingError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              details:
                type: string
                example: Reward must be in 'pending' state
    ErrorRewardNotFoundError:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              title:
                type: string
              details:
                type: string
                example: Reward not found
    Reward:
      type: object
      properties:
        id:
          type: string
        type:
          type: string
        attributes:
          type: object
          properties:
            id:
              type: string
            advocate_id:
              type: string
            advocate_uid:
              type: string
            lead_id:
              type: string
            lead_email:
              type: string
            amount:
              type: integer
              description: Amount in cents (e.g., 1000 = $10.00)
            currency:
              type: string
            state:
              type: string
            created_at:
              type: integer
            updated_at:
              type: integer
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````